diff --git a/web/config.py b/web/config.py
index 9cf2644..fb169d0 100644
--- a/web/config.py
+++ b/web/config.py
@@ -98,6 +98,11 @@ SERVER_MODE = True
 # The default should be fine here, as it's not exposed in the app.
 DESKTOP_USER = 'pgadmin4@pgadmin.org'

+# This configuration allows user to host application on LAN
+# Default hosting is on lo (DEFAULT_SERVER='localhost'),
+# To host pgAdmin4 over LAN set DEFAULT_SERVER='0.0.0.0'
+DEFAULT_SERVER = 'localhost'
+
 # The default port on which the app server will listen if not set in the
 # environment by the runtime
 DEFAULT_SERVER_PORT = 5050
diff --git a/web/pgAdmin4.py b/web/pgAdmin4.py
index 977d4e8..dea50ef 100644
--- a/web/pgAdmin4.py
+++ b/web/pgAdmin4.py
@@ -74,6 +74,8 @@ else:
     server_port = config.DEFAULT_SERVER_PORT

 try:
-    app.run(port=server_port, use_reloader=(config.SERVER_MODE and app.debug))
+    app.run(host=config.DEFAULT_SERVER,
+        port=server_port,
+        use_reloader=(config.SERVER_MODE and app.debug))
 except IOError:
     app.logger.error("Error starting the app server: %s", sys.exc_info())
